/*
 * Copyright (C) 1998-2002 <a href="mailto:jens.dietrich@unforgettable.com">Jens Dietrich</a>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package de.jfs2002.mandarax.crm;


import java.awt.GridLayout;

/**
 * Applet wrapper around a discount calculator.
 * @author <A HREF="mailto:jens.dietrich@unforgettable.com">Jens Dietrich</A>
 * @version 1.8 <18 June 2002>
 * @since 1.2
 */
public class DiscountCalculatorApplet extends javax.swing.JApplet {

    /**
     * Returns information about this applet.
     * @return a brief description
     */
    public String getAppletInfo() {
        return "Mandarax discount calulator applet by Jens Dietrich";
    }

    /**
     * Initializes the applet.
     */
    public void init() {
        super.init ();
        getContentPane ().setLayout (new GridLayout (1, 1));
        getContentPane ().add (new DiscountCalculatorView ());
    }
}
